
/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zwq
 * @LastEditTime: 2023-04-21 16:54:50
 * @FilePath: \basic-admin\src\filters\basicData\index.js
 * @Description:
 */
import i18n from "@/i18n";

const table = {
  sex: {
    '0': i18n.t('user.gender0'),
    '1': i18n.t('user.status1')
  },
  userStatus: {
    '0': i18n.t('user.status0'),
    '1': i18n.t('user.status1')
  },
  menuType: {
    '0': i18n.t('menu.type0'),
    '1': i18n.t('menu.type1')
  },
  logOperation: {
    '0': i18n.t('logLogin.operation0'),
    '1': i18n.t('logLogin.operation1')
  },
  logStatus: {
    '0': i18n.t('logLogin.status0'),
    '1': i18n.t('logLogin.status1')
  },
  scheduleStatus: {
    '0': i18n.t('schedule.status0'),
    '1': i18n.t('schedule.status1')
  },
}

export default function(dictTable) {
  return function(val) {
    return table?.[dictTable]?.[val]
  }
}